Revision bca38c99

View differences:

INSTALL
9 9

  
10 10
  This places the mininet package in /usr/lib/python-2.5/site-packages/,
11 11
  so that 'import mininet' will work.
12
  
13
- A functional netns binary is required to run mininet, but currently you
14
  have to compile it and install it yourself from the included .c file:
15

  
16
  to make it: make netns (or cc -o netns netns.c)
17
  to test it: ./netns /sbin/ifconfig -a 
18
  to 'install' a link to it, you could do something like:
19
    sudo ln -s /home/openflow/mininet/netns /usr/local/bin/netns
20 12

  
21
  Installation is simplest with a distribution that includes a kernel
13
- Installation is simplest with a distribution that includes a kernel
22 14
  which supports the CLONE_NETNS unshare flag by default. Debian 5.0+ does
23 15
  (e.g. current debian-testing release); Ubuntu doesn't. If your kernel
24 16
  doesn't support it, you will need to build and install a kernel that
25
  does!
17
  does! If you are using OpenVSwitch, 2.6.33 works best. For the reference
18
  kernel switch, 2.6.30 is compatible.
26 19

  
27 20
- Mininet should probably be run either on a machine with
28 21
  no other important processes, or on a virtual machine.

Also available in: Unified diff